public static final class UpdateIcebergTableRequest.Builder extends GeneratedMessage.Builder<UpdateIcebergTableRequest.Builder> implements UpdateIcebergTableRequestOrBuilder The update message for the UpdateIcebergTable API.
Protobuf type google.cloud.biglake.v1.UpdateIcebergTableRequest
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > UpdateIcebergTableRequest.BuilderImplements
UpdateIcebergTableRequestOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public UpdateIcebergTableRequest build()| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest |
|
buildPartial()
public UpdateIcebergTableRequest buildPartial()| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest |
|
clear()
public UpdateIcebergTableRequest.Builder clear()| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
clearHttpBody()
public UpdateIcebergTableRequest.Builder clearHttpBody() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
clearName()
public UpdateIcebergTableRequest.Builder clearName() Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public UpdateIcebergTableRequest getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getHttpBody()
public HttpBody getHttpBody() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBody |
The httpBody. |
getHttpBodyBuilder()
public HttpBody.Builder getHttpBodyBuilder() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBody.Builder |
|
getHttpBodyOrBuilder()
public HttpBodyOrBuilder getHttpBodyOrBuilder() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBodyOrBuilder |
|
getName()
public String getName() Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
String |
The name. |
getNameBytes()
public ByteString getNameBytes() Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for name. |
hasHttpBody()
public boolean hasHttpBody() Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the httpBody field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(UpdateIcebergTableRequest other)
public UpdateIcebergTableRequest.Builder mergeFrom(UpdateIcebergTableRequest other)| Parameter | |
|---|---|
| Name | Description |
other |
UpdateIcebergTableRequest |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public UpdateIcebergTableRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public UpdateIcebergTableRequest.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
mergeHttpBody(HttpBody value)
public UpdateIcebergTableRequest.Builder mergeHttpBody(HttpBody value) Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
com.google.api.HttpBody |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
setHttpBody(HttpBody value)
public UpdateIcebergTableRequest.Builder setHttpBody(HttpBody value) Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
com.google.api.HttpBody |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
setHttpBody(HttpBody.Builder builderForValue)
public UpdateIcebergTableRequest.Builder setHttpBody(HttpBody.Builder builderForValue) Required. The request body that should be in the format of Apache Iceberg's
#/components/schemas/CommitTableRequest. Content type is expected to be
application/json. Added this field for easier json parsing.
.google.api.HttpBody http_body = 2 [json_name = "updates", (.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
com.google.api.HttpBody.Builder |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
|
setName(String value)
public UpdateIcebergTableRequest.Builder setName(String value) Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe name to set. |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
This builder for chaining. |
setNameBytes(ByteString value)
public UpdateIcebergTableRequest.Builder setNameBytes(ByteString value) Required. Table to commit in the format:
projects/{project_id}/namespaces/{namespace}/tables/{table}.
string name = 1 [(.google.api.field_behavior) = REQUIRED, (.google.api.resource_reference) = { ... }
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for name to set. |
| Returns | |
|---|---|
| Type | Description |
UpdateIcebergTableRequest.Builder |
This builder for chaining. |